import { mclAuthenticatedApiRequest } from "@mcl/api/requests";

export const getServerBackups = (serverId: string) =>
  mclAuthenticatedApiRequest({
    subPath: "/s3/backups",
    json: { id: serverId },
    jsonify: true,
  });

export const getBackupUrl = (serverId: string, backupPath: string) =>
  mclAuthenticatedApiRequest({
    subPath: "/s3/backup-url",
    json: { id: serverId, backupPath },
    jsonify: true,
  });
