import { useQuery } from "@tanstack/react-query";
import { mclAuthenticatedApiRequest } from "../requests";

// ===== API Requests =====

export const getSystemAvailable = () =>
  mclAuthenticatedApiRequest({
    subPath: "/system/available",
    jsonify: true,
  });

// ===== API Queries =====

export const useSystemAvailable = () =>
  useQuery({
    queryKey: ["system-available"],
    queryFn: getSystemAvailable,
  });

export const useVersionList = () =>
  useQuery({
    queryKey: ["minecraft-versions"],
    queryFn: () =>
      fetch(
        "https://piston-meta.mojang.com/mc/game/version_manifest.json",
      ).then((r) => r.json()),
  });
